Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.admin
Class ListIntranets

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.admin.AdminAction
              org.esupportail.portal.channels.CIntranet.actions.admin.ListIntranets

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class ListIntranets
extends AdminAction

ListIntranets
Cette action prend en charge le listage des intranets existants
et donne accès aux différentes fonctionnalités du canal d'administration
(c)Copyright ESup-Portail 2004

Version:
  2.1
Author:
  Mathieu Larchet

Constructor Summary
`ListIntranets(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si l'utilisateur est un super-utilisateur
`java.lang.Boolean` | `setXML()` Affiche la liste des intranets

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.admin.AdminAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListIntranets

    public ListIntranets(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - La channel principale

Method Detail

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si l'utilisateur est un super-utilisateur

  Specified by:
    `action` in class `AdminAction`
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche la liste des intranets

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD